Commit 83fbc155 authored by gsell's avatar gsell
Browse files

Merge branch '43-in-modbuild-we-need-to-source-libpbuild-before-parsing-the-argument' into 'master'

Resolve "in modbuild we need to source libpbuild before parsing the arguments"

Closes #43

See merge request !14
parents 62ee4149 0b03915e
......@@ -24,6 +24,9 @@ source libstd.bash || {
echo "Oops: library '$_' cannot be loaded!" 1>&2; exit 3;
}
source libpbuild.bash || \
std::die 3 "Oops: Cannot source library -- '$_'"
# save arguments, (still) required for building dependencies
declare -r ARGS="$@"
......@@ -376,9 +379,6 @@ else
fi
source "${build_config}" || \
std::die 3 "Oops: Cannot source configuration file -- '${build_config}'"
source libpbuild.bash || \
std::die 3 "Oops: Cannot source library -- '$_'"
declare -r BUILD_SCRIPT
declare -r BUILDBLOCK_DIR
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment